Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Class DAHelper

    java.lang.Object
      com.bea.content.manager.DAHelper

Deprecated As of 9.x, replaced by `ContentSecurityHelper`

    @Deprecated
    public class DAHelper

extends Object

Old helper class for security of content.

Field Summary
`static int` | `CAN_BROWSE` Deprecated
`static int` | `CAN_MANAGE` Deprecated

Constructor Summary
`DAHelper()` Deprecated

Method Summary
`static int` | `getPermission(String taxonomy, String capability, javax.servlet.http.HttpServletRequest request)` Deprecated As of 9.x, replaced by `com.bea.content.federated.INodeManager#hasCapability(...)`
`static boolean` | `isAdminRole()` Deprecated As of 9.x, replaced by `ContentSecurityHelper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAN_BROWSE

    @Deprecated
    public static final int CAN_BROWSE

  Deprecated
  Constant for the browse capability.

  See Also
    Constants Summary

### CAN_MANAGE

    @Deprecated
    public static final int CAN_MANAGE

  Deprecated
  Constant for the manage capability.

  See Also
    Constants Summary

Constructor Detail

### DAHelper

    public DAHelper()

  Deprecated

Method Detail

### getPermission

    @Deprecated
    public static int getPermission(String taxonomy,
                                               String capability,
                                               javax.servlet.http.HttpServletRequest request)
                             throws RepositoryException

  Deprecated As of 9.x, replaced by `com.bea.content.federated.INodeManager#hasCapability(...)`

  Throws
    `RepositoryException`

### isAdminRole

    @Deprecated
    public static boolean isAdminRole()

  Deprecated As of 9.x, replaced by `ContentSecurityHelper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved